using System;

namespace SlatedGameToolkit.Framework.Logging
{
    public interface ILogListener
    {
        LogLevel Level { get; }

        /// <summary>
        /// Logs the message.
        /// </summary>
        /// <param name="message">The message to be logged.</param>
        /// <param name="time">The time at which this message was requested to be logged.</param>
        /// <param name="level">The severity of this message.</param>
        void LogMesesage(string message, DateTime time, LogLevel level);
    }
}