using System.Drawing;

namespace SlatedGameToolkit.Framework.Utilities
{
    public static class RectangleUtils
    {
        public static RectangleF MultiplyBy(this RectangleF rectangle, float multiplier) {
            RectangleF rect = rectangle;
            rect.X *= multiplier;
            rect.Y *= multiplier;
            rect.Width *= multiplier;
            rect.Height *= multiplier;
            return rect;
        }
    }
}